let barImg =
  'data:image/png;base64, '
let app = new Vue({
  el: '#app',
  data() {
    return {
      twinkle7: [],
      twinkle8: [],
      twinkleR6: [],
      showTip: false,
      showTip2: false,
      tipNum: '',
      tipData: tipData,
      time: '',
      year: '2022',
      config1: {
        number: [100],
        content: '{nt}个',
      },
      centerData: '',
      storageRecordConfig: {
        header: ['', '时间', '所属集团', '工作情况'],
        headerBGC: '#05507b33',
        oddRowBGC: '#69c0ff0f',
        waitTime: '50000',
        evenRowBGC: '',
        headerHeight: '40',
        columnWidth: [150, 150],
        rowNum: 4,
        align: ['right', 'center', 'center', 'center'],
        data: [
          // ['<span class="lightOut"><span class="light red"></span></span>', '2022年1月', '山西焦煤', '已经开展高层次人才引进工作'],
          // ['<span class="lightOut"><span class="light yellow"></span></span>', '2022年2月', '山西文旅', '不能按期完成序时进度'],
          // ['<span class="lightOut"><span class="light green"></span></span>', '2022年3月', '大地控股', '已经实现中长期激励机制贯彻'],
          // ['<span class="lightOut"><span class="light red"></span></span>', '2022年4月', '国际能源', '薪酬结果没有做到公开'],
          // ['<span class="lightOut"><span class="light yellow"></span></span>', '2022年5月', '山西焦煤', '已经开展高层次人才引进工作'],
          // ['<span class="lightOut"><span class="light green"></span></span>', '2022年6月', '山西焦煤', '不能按期完成序时进度'],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2022.12.07	 ', '	山西焦煤	 ', '	“退二进一”完成情况表现优秀	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.04	 ', '	山西焦煤	 ', '	总部机构压减成效明显	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.05	 ', '	晋能控股	 ', '	总部人员压减成效突出	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.06	 ', '	晋能控股	 ', '	中层管理人数改革成效显著	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2022.12.07	 ', '	晋能控股	 ', '	管理级次压缩成效明显	 '],
          ['<span class="lightOut"><span class="	light red	"></span></span>', '	2023.01.08	 ', '	华阳新材	 ', '	六定未按要求下穿到全级次企业	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2022.11.07	 ', '	潞安化工	 ', '	全员劳动生产率提高明显	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.10	 ', '	建投集团	 ', '	深入开展中层管理人员竞聘上岗	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.11	 ', '	华舰体育	 ', '	集团人数增长速度较快	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.12	 ', '	华舰体育	 ', '	人员增速显著高于全员劳动生产率增速	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2022.09.07	 ', '	国际能源	 ', '	全员劳动生产率增速显著高于人员增速	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.15	 ', '	山西焦煤	 ', '	人工成本利润率增长且总人数下降	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.15	 ', '	晋能控股	 ', '	人工成本利润率增长且总人数下降	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.15	 ', '	华阳新材	 ', '	人工成本利润率增长且总人数下降	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.15	 ', '	太重集团	 ', '	人工成本利润率增长且总人数下降	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.15	 ', '	国际能源	 ', '	人工成本利润率增长且总人数下降	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.15	 ', '	华远陆港	 ', '	人工成本利润率增长且总人数下降	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.15	 ', '	交控集团	 ', '	人工成本利润率增长且总人数下降	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.15	 ', '	云时代	 ', '	人工成本利润率增长且总人数下降	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	2023.01.16	 ', '	文旅集团	 ', '	人工成本利润率显著降低	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	2023.01.17	 ', '	航产集团	 ', '	人工成本利润率显著降低	 '],
          ['<span class="lightOut"><span class="	light red	"></span></span>', '	2023.01.18	 ', '	大地控股	 ', '	中层管理人员任命不符合六定要求	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2022.11.07	 ', '	交控集团	 ', '	“退二进一”完成情况表现优秀	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	2023.01.20	 ', '	太重集团	 ', '	开展管理人员末等调整和不胜任退出	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	2022.12.07	 ', '	华舰体育	 ', '	六定相关文件未按要求备案	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	2022.12.07	 ', '	文旅集团	 ', '	六定相关文件未按要求备案	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	2022.12.07	 ', '	水控集团	 ', '	六定相关文件未按要求备案	 '],
        ],
        // data: [
        //   ['<span style-"display:inline-block; width:15px;height:15px;border-radius:50%;background-color:green;"></span>', '2022年1月', '山西焦煤', '已经开展高层次人才引进工作'],
        //   ['2022年2月', '山西文旅', '不能按期完成序时进度'],
        //   ['2022年3月', '大地控股', '已经实现中长期激励机制贯彻'],
        //   ['2022年4月', '国际能源', '薪酬结果没有做到公开'],
        //   ['2022年5月', '山西焦煤', '已经开展高层次人才引进工作'],
        //   ['2022年6月', '山西焦煤', '不能按期完成序时进度'],
        // ],
      },
      storageRecordConfig2: {
        header: ['', '企业名称', '预警内容', '数据抓取日期', '累计未获取数据日期'],
        headerBGC: '#05507b33',
        oddRowBGC: '#05507b33',
        evenRowBGC: '',
        headerHeight: '40',
        columnWidth: [150, 150],
        rowNum: 4,
        align: ['center', 'center', 'center', 'center', 'center'],
        data: [
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	华新燃气	 ', '	本季度数据更新及时准确	 ', '	四季度	 ', '	-	 '],
          ['<span class="lightOut"><span class="	light green	"></span></span>', '	云时代	 ', '	本季度数据更新及时准确	 ', '	四季度	 ', '		 '],
          ['<span class="lightOut"><span class="	light red	"></span></span>', '	大地控股	 ', '	六定长效机制情况未更新	 ', '	2022.12.01-12.31	 ', '	30	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	建设投资	 ', '	六定长效机制12月数据未获取	 ', '	2022.12.01-12.31	 ', '	15	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	交控集团	 ', '	经营业绩考核12月数据未获取	 ', '	2022.12.01-12.31	 ', '	15	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	太重集团	 ', '	经营业绩考核12月数据未获取	 ', '	2022.12.01-12.31	 ', '	15	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	文旅集团	 ', '	经营业绩考核12月数据未获取	 ', '	2022.12.01-12.31	 ', '	15	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	水务集团	 ', '	经营业绩考核12月数据未获取	 ', '	2022.12.01-12.31	 ', '	15	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	航产集团	 ', '	经营业绩考核12月数据未获取	 ', '	2022.12.01-12.31	 ', '	15	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	华舰体育	 ', '	经营业绩考核12月数据未获取	 ', '	2022.12.01-12.31	 ', '	15	 '],
          ['<span class="lightOut"><span class="	light yellow	"></span></span>', '	文旅集团	 ', '	六定长效机制情况数据更新错误	 ', '	2022.12.01-12.31	 ', '	-	 '],
        ],
      },
      companyList: companyList,
      commonOption: {
        title: {
          text: 'xxx',
          x: 'center',
          y: '3%',
          textStyle: {
            color: '#69C0FF',
            fontSize: 24,
          },
        },
        tooltip: {
          trigger: 'axis',
          textStyle: { fontSize: 18 },
          axisPointer: {
            type: 'cross',
            label: {
              fontSize: 18,
            },
          },
        },
        grid: {
          top: '22%',
          right: '5%',
          left: '8%',
          bottom: '20%',
        },
        legend: {
          data: '',
          top: '12%',
          right: '5%',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
            fontSize: 16,
          },
        },
        xAxis: {
          data: companyList.map(item => item.name),
          axisLine: {
            show: false, //隐藏X轴轴线
            lineStyle: {
              color: '#005094',
              width: 1,
            },
          },
          axisTick: {
            show: false, //隐藏X轴刻度
          },
          axisLabel: {
            show: true,
            rotate: 50,
            textStyle: {
              color: 'rgba(255,255,255,0.6)', //X轴文字颜色
              fontSize: 16,
            },
          },
        },
        yAxis: [
          {
            type: 'value',
            nameTextStyle: {
              color: '#ebf8ac',
              fontSize: 16,
            },
            splitLine: {
              show: true,
              lineStyle: {
                color: '#68b4dd66',
                type: 'dashed',
              },
            },
            axisLine: {
              show: false,
            },
            axisLabel: {
              show: true,
              textStyle: {
                color: 'rgba(250,250,250,0.6)',
                fontSize: 16,
              },
            },
          },
        ],
      },
    }
  },
  beforeMount(){
    dataL7[0].forEach((item,index) => {
      if(dataL7[1][index] < 0 &&  dataL7[0][index] > 0){
        let obj = {value:[companyList[index].name ,dataL7[0][index]],symbolSize:15 }
        this.twinkle7.push(obj)
      }
    })
    //  if (dataL8[1][params.dataIndex] < 0 && params.value > 0) {
      dataL8[0].forEach((item,index) => {
        if(dataL8[1][index] < 0 &&  dataL8[0][index] > 0){
          let obj = {value:[companyList[index].name ,dataL8[0][index]],symbolSize:15 }
          this.twinkle8.push(obj)
        }
      })
      // params.value > 0 && fjxdataL2[0][params.dataIndex] < 0
      fjxdataL2[0].forEach((item,index) => {
        if(fjxdataL2[1][index] > 0 &&  fjxdataL2[0][index] < 0){
          let obj = {value:[companyList[index].name ,fjxdataL2[1][index]],symbolSize:15 }
          this.twinkleR6.push(obj)
        }
      })
      
    console.log(this.twinkleR6)
  },
  mounted() {
    this.time = formatDate()
    this.timer = setInterval(() => {
      this.time = formatDate()
    }, 1000)
    this.centerData = data
    // 左侧图表
    this.initChartL1()
    this.initChartL2()
    this.initChartL3()
    this.initChartL4()
    this.initChartL5()
    this.initChartL6()
    this.initChartL7()
    this.initChartL8()
    // 中间图表
    this.initChartC1()
    this.initChartC2()
    // 右侧图表
    this.initChartR1()
    this.initChartR2()
    this.initChartR3()
    this.initChartR4()
    this.initChartR5()
    this.initChartR6()
    this.initChartR7()
    this.initChartR8()
  },
  beforeDestroy() {
    if (this.timer) {
      clearInterval(this.timer)
    }
  },
  methods: {
    handleShowTip(index) {
      this.showTip = true
      this.tipNum = index
    },
    handleShowTip2(index) {
      this.showTip2 = true
      this.tipNum = index
    },
    handleGoPage(url) {
      if (url.length) {
        window.location.href = url
      }
    },
    numFormat(value) {
      if (!value) return '0'
      var intPart = Number(value).toFixed(0) // 获取整数部分
      var intPartFormat = intPart.toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,') // 将整数部分逢三一断
      var floatPart = '.00' // 预定义小数部分
      var value2Array = value.toString().split('.')
      // =2表示数据有小数位
      if (value2Array.length === 2) {
        floatPart = value2Array[1].toString() // 拿到小数部分
        if (floatPart.length === 1) {
          // 补0
          return intPartFormat + '.' + floatPart + '0'
        } else {
          return intPartFormat + '.' + floatPart
        }
      } else {
        return intPartFormat
      }
    },
    initChartL1() {
      let myChart = echarts.init(this.$refs['echartL1'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        series: [
          {
            name: '总部机构数核定上限',
            type: 'line',
            // yAxisIndex: 1, //使用的 y 轴的 index，在单个图表实例中存在多个 y轴的时候有用
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            itemStyle: {
              //折线拐点标志的样式
              color: '#fbe138',
              borderColor: '#fbe138',
              width: 2,
              shadowColor: '#fbe138',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#fbe138',
              width: 2,
            },
            data: dataL1[2],
          },
          {
            name: '六定改革前总部机构数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#43ede3',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataL1[0],
          },
          {
            name: '当前各省属企业总部机构数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataL1[1],
          },
        ],
        // tooltip: {
        //   trigger: 'item',
        //   position: 'top'
        // },
      }

      option.title.text = '各省属企业总部机构数'
      option.legend.data = ['六定改革前总部机构数', '当前各省属企业总部机构数', '总部机构数核定上限']
      option.yAxis.push({
        splitLine: {
          show: false,
        },
        axisLine: {
          show: false,
        },
      })
      myChart.setOption(option)
    },
    initChartL2() {
      let myChart = echarts.init(this.$refs['echartL2'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        color: ['#69c0ff'],
        series: [
          {
            name: '当前共享服务中心/事业部数',
            type: 'bar',
            barWidth: 15,
            label: {
              normal: {
                show: true,
                position: 'top',
                textStyle: {
                  color: '#69c0ff',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '华阳新材'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              color: params => {
                if (params.value > dataL2[1][params.dataIndex]) {
                  return new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    {
                      offset: 0,
                      color: 'red',
                    },
                    {
                      offset: 1,
                      color: '#082550',
                    },
                  ])
                } else {
                  return new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    {
                      offset: 0,
                      color: '#69c0ff',
                    },
                    {
                      offset: 1,
                      color: '#082550',
                    },
                  ])
                }
              },
            },
            data: dataL2[0],
          },
          {
            name: '共享服务中心/事业部核定上限',
            type: 'line',
            // yAxisIndex: 1, //使用的 y 轴的 index，在单个图表实例中存在多个 y轴的时候有用
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                position: 'top',
                textStyle: {
                  color: '#fbe138',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '华阳新材'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              //折线拐点标志的样式
              color: '#fbe138',
              borderColor: '#fbe138',
              width: 2,
              shadowColor: '#fbe138',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#fbe138',
              width: 2,
            },
            data: dataL2[1],
          },
        ],
      }
      option.title.text = '各省属企业共享服务中心/事业部数'
      option.legend.data = ['当前共享服务中心/事业部数', '共享服务中心/事业部核定上限']
      option.yAxis.push({
        splitLine: {
          show: false,
        },
        axisLine: {
          show: false,
        },
      })
      myChart.setOption(option)
    },
    initChartL3() {
      let myChart = echarts.init(this.$refs['echartL3'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        series: [
          {
            name: '当前管理人员数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#5e7ae9',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataL3[0],
          },
          {
            name: '管理人员数占总人数比值',
            type: 'line',
            yAxisIndex: 1,
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            itemStyle: {
              //折线拐点标志的样式
              color: '#fbe138',
              borderColor: '#fbe138',
              width: 2,
              shadowColor: '#fbe138',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#fbe138',
              width: 2,
            },
            markLine: {
              data: [
                {
                  name: '管理人员数占总人数的合理比值线',
                  yAxis: 15,
                  lineStyle: {
                    color: '#fff',
                  },
                  label: {
                    formatter: '{b}',
                    position: 'middle',
                    color: '#fff',
                    fontSize: 16,
                  },
                },
              ],
              label: {
                distance: [20, 8],
              },
            },
            data: dataL3[1],
          },
        ],
      }
      option.title.text = '各省属企业管理人员数'
      option.legend.data = ['当前管理人员数', '管理人员数占总人数比值']
      option.yAxis[0] = {
        type: 'log',
        min: 1,
        logBase: 10,
        axisLine: {
          show: false,
        },
        splitLine: {
          show: true,
          lineStyle: {
            color: '#68b4dd66',
            type: 'dashed',
          },
        },
        axisLabel: {
          show: true,
          formatter: function (value) {
            return value === 1 ? 0 : value
          },
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      }
      option.yAxis.push({
        type: 'value',
        max: 15,
        axisLine: {
          show: false,
        },
        splitLine: {
          show: false,
        },
        axisLabel: {
          show: true,
          formatter: '{value} %',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      })
      option.tooltip.formatter = '{a0}：{c0}' + '<br/>' + '{a1}：{c1}' + '%'
      myChart.setOption(option)
    },
    initChartL4() {
      let myChart = echarts.init(this.$refs['echartL4'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        series: [
          {
            name: '六定改革前总部中层管理人数',
            type: 'bar',
            barWidth: 15,
            label: {
              normal: {
                show: true,
                position: 'top',
                textStyle: {
                  color: '#69c0ff',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '云时代'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataL4[0],
          },
          {
            name: '当前总部中层管理人数',
            type: 'bar',
            barWidth: 15,
            label: {
              normal: {
                show: true,
                position: 'top',
                textStyle: {
                  color: '#6480f3',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '云时代'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#6480f3',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataL4[1],
          },
          {
            name: '总部中层管理人数核定上限',
            type: 'line',
            yAxisIndex: 1,
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                position: 'top',
                textStyle: {
                  color: '#fbe138',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '云时代'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              //折线拐点标志的样式
              color: '#fbe138',
              borderColor: '#fbe138',
              width: 2,
              shadowColor: '#fbe138',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#fbe138',
              width: 2,
            },
            data: dataL4[2],
          },
        ],
      }
      option.title.text = '各省属企业总部中层管理人数'
      option.legend.data = ['六定改革前总部中层管理人数', '当前总部中层管理人数', '总部中层管理人数核定上限']
      option.legend.show = true
      option.yAxis.push({
        splitLine: {
          show: false,
        },
        axisLine: {
          show: false,
        },
      })
      myChart.setOption(option)
    },
    initChartL5() {
      let myChart = echarts.init(this.$refs['echartL5'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        series: [
          {
            name: '各省属企业总人数',
            type: 'bar',
            barWidth: 15,
            label: {
              normal: {
                show: true,
                position: 'top',
                lineHeight:'25',
                textStyle: {
                  color: '#69c0ff',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '华阳新材' || data.name=='华舰体育'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataL5[0],
          },
          {
            name: '去年同期人数变化率',
            type: 'line',
            yAxisIndex: 1, //使用的 y 轴的 index，在单个图表实例中存在多个 y轴的时候有用
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                position: 'bottom',
                lineHeight: '25',
                textStyle: {
                  color: '#b889ea',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '华阳新材' || data.name=='华舰体育'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              //折线拐点标志的样式
              color: '#b889ea',
              borderColor: '#b889ea',
              width: 2,
              shadowColor: '#b889ea',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#b889ea',
              width: 2,
            },
            data: dataL5[1],
          },
        ],
      }
      option.title.text = '各省属企业总人数'
      option.legend.data = ['各省属企业总人数', '去年同期人数变化率']
      option.legend.show = true
      option.yAxis[0] = {
        type: 'value',
        // type: 'log',
        min: 1,
        // logBase: 10,
        axisLine: {
          show: false,
        },
        splitLine: {
          show: true,
          lineStyle: {
            color: '#68b4dd66',
            type: 'dashed',
          },
        },
        axisLabel: {
          show: true,
          formatter: function (value) {
            return value === 1 ? 0 : value
          },
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      }
      option.yAxis.push({
        type: 'value',
        axisLine: {
          show: false,
        },
        splitLine: {
          show: false,
        },
        axisLabel: {
          show: true,
          formatter: '{value} %',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      })
      option.tooltip.formatter = '{a0}：{c0}' + '<br/>' + '{a1}：{c1}' + '%'
      myChart.setOption(option)
    },
    initChartL6() {
      let myChart = echarts.init(this.$refs['echartL6'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        series: [
          {
            name: '总部员额数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                barBorderRadius: [10, 10, 0, 0],
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#43ede3',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataL6[0],
          },
          {
            name: '总部员额数核定上限',
            type: 'line',
            yAxisIndex: 1, //使用的 y 轴的 index，在单个图表实例中存在多个 y轴的时候有用
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            itemStyle: {
              //折线拐点标志的样式
              color: '#fbe138',
              borderColor: '#fbe138',
              width: 2,
              shadowColor: '#fbe138',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#fbe138',
              width: 2,
            },
            data: dataL6[1],
          },
        ],
      }
      option.title.text = '各省属企业总部员额数'
      option.legend.data = ['总部员额数', '总部员额数核定上限']
      option.legend.show = true
      option.yAxis.push({
        splitLine: {
          show: false,
        },
        axisLine: {
          show: false,
        },
      })
      myChart.setOption(option)
    },
    initChartL7() {
      let myChart = echarts.init(this.$refs['echartL7'])
      let that = this
      let option = {
        ..._.cloneDeep(this.commonOption),
        color: ['#43ede3'],
        series: [
          {
            name: '人数变化',
            type: 'line',
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 15, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                position: 'bottom',
                lineHeight: '35',
                textStyle: {
                  color: '#43ede3',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
                },
                formatter: function(data) {
                    if(data.name == '文旅集团'|| data.name== "大地控股" || data.name=='华舰体育'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              color: params => {
                if (dataL7[1][params.dataIndex] < 0 && params.value > 0) {
                  return 'red'
                } else {
                  return '#43ede3'
                }
              },
            },
            lineStyle: {
              color: '#43ede3',
              width: 2,
            },
            data: dataL7[0],
          },

          {
            name: '劳动生产率同比变化',
            type: 'line',
            yAxisIndex: 1,
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                position: 'top',
                lineHeight: '25',
                textStyle: {
                  color: '#b889ea',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
                },
                formatter: function(data) {
                    if(data.name == '文旅集团'|| data.name== "大地控股" || data.name=='华舰体育'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              //折线拐点标志的样式
              color: '#b889ea',
              borderColor: '#b889ea',
              width: 2,
              shadowColor: '#b889ea',
              shadowBlur: 4,
            },
            data: dataL7[1],
          },
          {
            type: 'effectScatter',
            coordinateSystem: 'cartesian2d',
            showEffectOn: 'render',
            rippleEffect: {
              period: 10,
              scale: 4,
              brushType: 'stroke'
            },
            hoverAnimation: true,
            itemStyle: {
              color: 'red'
            },
            lineStyle: {
              color: '#43ede3',
              width: 2,
            },
            
            data: that.twinkle7,
          },
        ],
      }
      option.title.text = '人数变化和全员劳动生产率变化分析'
      option.legend.data = ['人数变化', '劳动生产率同比变化']
      option.legend.show = true
      option.yAxis[0].axisLabel.formatter = '{value} %'
      option.tooltip.formatter = '{a0}：{c0}' + '%' + '<br/>' + '{a1}：{c1}' + '%'
      option.yAxis.push({
        type: 'value',
        axisLine: {
          show: false,
        },
        splitLine: {
          show: false,
        },
        axisLabel: {
          show: true,
          formatter: '{value} %',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
          splitLine: {
            show: false,
          },
          axisLabel: {
            show: true,
            formatter: '{value} %',
            textStyle: {
              color: 'rgba(250,250,250,0.6)',
            },
          },
        },
      })

      myChart.setOption(option)
    },
    initChartL8() {
      let myChart = echarts.init(this.$refs['echartL8'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        color: ['#43ede3'],
        series: [
          {
            name: '人数变化',
            type: 'line',
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 15, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                position: 'bottom',
                lineHeight:'20',
                textStyle: {
                  color: '#43ede3',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '文旅集团' || data.name=='大地控股'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              color: params => {
                if (dataL8[1][params.dataIndex] < 0 && params.value > 0) {
                  return 'red'
                } else {
                  return '#43ede3'
                }
              },
            },
            lineStyle: {
              color: '#43ede3',
              width: 2,
            },
            data: dataL8[0],
          },
          {
            name: '人工成本利润率同比变化',
            type: 'line',
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 15, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                position: 'top',
                lineHeight:'30',
                textStyle: {
                  color: '#b889ea',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '文旅集团' || data.name=='大地控股'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              //折线拐点标志的样式
              color: '#b889ea',
              borderColor: '#b889ea',
              width: 2,
              shadowColor: '#b889ea',
              shadowBlur: 4,
            },

            lineStyle: {
              color: '#b889ea',
              width: 2,
            },
            data: dataL8[1],
          },
          {
            type: 'effectScatter',
            coordinateSystem: 'cartesian2d',
            showEffectOn: 'render',
            rippleEffect: {
              period: 10,
              scale: 4,
              brushType: 'stroke'
            },
            hoverAnimation: true,
            itemStyle: {
              color: 'red'
            },
            lineStyle: {
              color: '#43ede3',
              width: 2,
            },
            
            data: this.twinkle8,
          },
          // {
          //   type: 'effectScatter',
          //   coordinateSystem: 'cartesian2d',
          //   showEffectOn: 'render',
          //   rippleEffect: {
          //     period: 10,
          //     scale: 4,
          //     brushType: 'stroke'
          //   },
          //   hoverAnimation: true,
          //   itemStyle: {
          //     color: 'red'
          //   },
          //   lineStyle: {
          //     color: '#43ede3',
          //     width: 2,
          //   },
            
          //   data: that.twinkle,
          // },
        ],
        // tooltip: {
        //   trigger: 'axis',
        //   formatter(params){
        //     console.log(params)
        //     return params[0]
        //   }
        // }
      }
      option.title.text = '人数变化和人工成本利润率变化分析'
      option.legend.data = ['人数变化', '人工成本利润率同比变化']
      option.legend.show = true
      option.yAxis[0].axisLabel.formatter = '{value} %'
      option.tooltip.formatter = '{a0}：{c0}' + '%' + '<br/>' + '{a1}：{c1}' + '%'
      myChart.setOption(option)
    },
    // 中间图表---------------------------------------------开始
    initChartC1() {
      let myChart = echarts.init(this.$refs['echartC1'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        color: ['#69c0ff'],
        series: [
          {
            name: '全员劳动生产率（万/人）',
            type: 'bar',
            barWidth: 15,
            label: {
              normal: {
                show: true,
                position: 'top',
                textStyle: {
                  color: '#fff',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '国际能源' || data.name == '汾酒集团'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              color: params => {
                if (params.value < 0 && c1[1][params.dataIndex] < 0) {
                  return 'red'
                } else if (params.value < 0) {
                  return 'yellow'
                } else {
                  return new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    {
                      offset: 0,
                      color: '#69c0ff',
                    },
                    {
                      offset: 1,
                      color: '#082550',
                    },
                  ])
                }
              },
            },

            // markPoint:{
            //   symbolSize: 1,
            //   symbolOffset: [0, '50%'],
            //   label:{
            //     show: true,
            //     fontSize:18,
            //     color: '#fff',
            //     backgroundColor: 'rgba(38,48,59,0.6)',
            //     borderColor: '#aaa',
            //     borderWidth: 1,
            //     borderRadius: 4,
            //     padding: [4, 10],
            //     lineHeight: 26,
            //     position: 'top',
            //     distance: 20,
            //     // formatter: data =>{
            //     //   console.log('11',data)
            //     // },
            //     formatter: [
            //       '{a|这段文本采用样式a}',
            //       '这段用默认样式{x|这段用样式x}'
            //     ].join('\n'),
            //     rich: {
            //       a: {
            //           color: 'yellow',
            //           lineHeight: 10
            //       },
            //       b: {
            //           // backgroundColor: {
            //           //     image: './images/alert.png'
            //           // },
            //           height: 40
            //       },
            //       x: {
            //           fontSize: 18,
            //           borderColor: '#449933',
            //           borderRadius: 4
            //       },
            //     }
            //   },
            //   // itemStyle: {
            //   //   color: 'rgba(38,48,59,0.6)'
            //   // },
            //   data:[{value:'117.48', xAxis: '国际能源', yAxis: 127 },{value:'138.83', xAxis: '汾酒集团', yAxis: 148 }]
            // },
            markLine: {
              data: [
                {
                  name: '省属企业平均水平',
                  yAxis: 50.13,
                  lineStyle: {
                    color: '#fff',
                  },
                  label: {
                    formatter: '{b}',
                    position: 'end',
                    padding: [20, 100, 10, 10],
                    fontSize: 16,
                    color: '#fff',
                  },
                },
                // {
                //   name: '',
                //   yAxis: 0,
                //   lineStyle: {
                //     color: '#fff',
                //   },
                //   label: {
                //     formatter: '{b}',
                //     position: 'end',
                //     fontSize: 16,
                //     color: '#fff',
                //   },
                // },
                {
                  name: '央企平均水平',
                  yAxis: 69.4,
                  lineStyle: {
                    color: '#fff',
                  },
                  label: {
                    formatter: '{b}',
                    position: 'end',
                    padding: [-4, 150, 10, 10],
                    color: '#fff',
                    fontSize: 16,
                  },
                },
              ],
              label: {
                distance: [50, 0],
              },
            },
            data: c1[0],
          },
          {
            name: '全员劳动生产率同比',
            type: 'line',
            yAxisIndex: 1,
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            itemStyle: {
              //折线拐点标志的样式
              color: '#B889EA',
              borderColor: '#B889EA',
              width: 2,
              shadowColor: '#B889EA',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#B889EA',
              width: 2,
            },

            // data: [50, 40, 60, 20, 45, 30, 60, 100, 45, 40, 50, 20, 60, 80, 45, 70, 50, 40],
            data: c1[1],
          },
        ],
      }
      option.title.text = '各省属企业全员劳动生产率'
      // option.legend.data = [ '全员劳动生产率（万/人）','全员劳动生产率同比']
      option.legend.show = true
      option.grid.right = '15%'
      option.tooltip.formatter = '{a0}：{c0}' + '<br/>' + '{a1}：{c1}' + '%'
      option.yAxis.push({
        type: 'value',
        axisLine: {
          show: false,
        },
        splitLine: {
          show: false,
        },
        axisLabel: {
          show: true,
          formatter: '{value} %',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      })
      myChart.setOption(option)
      // tools.loopShowTooltip(myChart, option, {
      //   nterval: 2000,
      //   loopSeries: true,
      // })
    },
    initChartC2() {
      let myChart = echarts.init(this.$refs['echartC2'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        color: ['#69c0ff'],
        series: [
          {
            name: '人工成本利润率',
            type: 'bar',
            barWidth: 15,
            label: {
              normal: {
                show: true,
                position: 'top',
                textStyle: {
                  color: '#fff',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '国际能源' || data.name == '文旅集团' || data.name == '航产集团' || data.name == '华舰体育'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            markLine: {
              data: [
                {
                  name: '省属企业平均水平',
                  yAxis: 67.09,
                  lineStyle: {
                    color: '#fff',
                  },
                  label: {
                    formatter: '{b}',
                    position: 'end',
                    padding: [24, 100, 10, 10],
                    fontSize: 16,
                    color: '#fff',
                  },
                },
                {
                  name: '央企平均水平',
                  yAxis: 81,
                  lineStyle: {
                    color: '#fff',
                  },
                  label: {
                    formatter: '{b}',
                    position: 'end',
                    padding: [-24, 200, 10, 10],
                    color: '#fff',
                    fontSize: 16,
                  },
                },
              ],
              label: {
                distance: [50, 0],
              },
            },
            itemStyle: {
              color: params => {
                if (params.value < 0 && c2[0][params.dataIndex] < 0) {
                  return 'red'
                } else if (params.value < 0) {
                  return 'yellow'
                } else {
                  return new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    {
                      offset: 0,
                      color: '#69c0ff',
                    },
                    {
                      offset: 1,
                      color: '#082550',
                    },
                  ])
                }
              },
            },
            data: c2[1],
          },
          {
            name: '人工成本利润率同比',
            type: 'line',
            yAxisIndex: 1, //使用的 y 轴的 index，在单个图表实例中存在多个 y轴的时候有用
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            itemStyle: {
              //折线拐点标志的样式
              color: '#B889EA',
              borderColor: '#B889EA',
              width: 2,
              shadowColor: '#B889EA',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#B889EA',
              width: 2,
            },
            data: c2[0],
          },
        ],
      }
      option.title.text = '各省属企业人工成本利润率'
      option.legend.show = true
      option.grid.right = '15%'
      option.yAxis[0].axisLabel.formatter = '{value} %'
      option.tooltip.formatter = '{a0}：{c0}' + '%' + '<br/>' + '{a1}：{c1}' + '%'
      option.yAxis.push({
        type: 'value',
        axisLine: {
          show: false,
        },
        splitLine: {
          show: false,
        },
        axisLabel: {
          show: true,
          formatter: '{value} %',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      })
      myChart.setOption(option)
      // tools.loopShowTooltip(myChart, option, {
      //   nterval: 2000,
      //   loopSeries: true,
      // })
    },
    // 右侧图表---------------------------------------------开始
    initChartR1() {
      let myChart = echarts.init(this.$refs['echartR1'])
      let commonOptions = this.commonOption
      commonOptions.yAxis[0].splitNumber = 2
      let dataTemp = []
      let dataTemp2 = []
      dataR1[0].forEach(item => {
        dataTemp.push(item + 1)
      })
      dataR1[1].forEach(item => {
        dataTemp2.push(item + 1)
      })

      let option = {
        ..._.cloneDeep(commonOptions),
        series: [
          {
            name: '招聘需求公告次数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataTemp,
          },
          {
            name: '招聘需求公告累计招聘人次',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#43ede3',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataTemp2,
          },
        ],
      }
      option.title.text = '各省属企业招聘需求公示人次'
      option.legend.data = ['招聘需求公告次数', '招聘需求公告累计招聘人次']
      option.legend.show = true
      option.tooltip.formatter = function (value) {
        return value[0].axisValue + '：' + (value[0].value - 1) + '<br>' + value[1].axisValue + '：' + (value[1].value - 1)
      }
      option.yAxis[0] = {
        type: 'log',
        min: 1,
        logBase: 10,
        axisLine: {
          show: false,
        },
        splitLine: {
          show: true,
          lineStyle: {
            color: '#68b4dd66',
            type: 'dashed',
          },
        },
        axisLabel: {
          show: true,
          formatter: function (value) {
            return value === 1 ? 0 : value
          },
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      }
      myChart.setOption(option)
    },
    initChartR2() {
      let myChart = echarts.init(this.$refs['echartR2'])
      let commonOptions = this.commonOption
      commonOptions.yAxis[0].splitNumber = 2
      let dataTemp = []
      let dataTemp2 = []
      dataR2[0].forEach(item => {
        dataTemp.push(item + 1)
      })
      dataR2[1].forEach(item => {
        dataTemp2.push(item + 1)
      })
      let option = {
        ..._.cloneDeep(commonOptions),
        series: [
          {
            name: '录用结果公示次数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataTemp,
          },
          {
            name: '录用结果公示累计公示人数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#45DAD1',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataTemp2,
          },
        ],
      }
      option.title.text = '各省属企业录用结果公示人次'
      option.legend.data = ['录用结果公示次数', '录用结果公示累计公示人数']
      option.legend.show = true
      option.tooltip.formatter = function (value) {
        return value[0].axisValue + '：' + (value[0].value - 1) + '<br>' + value[1].axisValue + '：' + (value[1].value - 1)
      }
      option.yAxis[0] = {
        type: 'log',
        min: 1,
        logBase: 10,
        axisLine: {
          show: false,
        },
        splitLine: {
          show: true,
          lineStyle: {
            color: '#68b4dd66',
            type: 'dashed',
          },
        },
        axisLabel: {
          show: true,
          formatter: function (value) {
            return value === 1 ? 0 : value
          },
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      }
      myChart.setOption(option)
    },
    initChartR3() {
      let myChart = echarts.init(this.$refs['echartR3'])
      let commonOptions = this.commonOption
      commonOptions.yAxis[0].splitNumber = 2
      let option = {
        ..._.cloneDeep(commonOptions),
        color: ['#45DAD1'],
        series: [
          {
            name: '2022年利润(万）',
            type: 'bar',
            barWidth: 15,
            label: {
              normal: {
                show: true,
                position: 'bottom',
                textStyle: {
                  color: '#69c0ff',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 14,
              },
                formatter: function(data) {
                    if(data.name=="国际能源" || data.name == '文旅集团' || data.name=='航产集团'||data.name == '华舰体育'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataR3[0],
          },
          {
            name: '2022年累计招聘数',
            type: 'bar',
            barWidth: 15,
            yAxisIndex: 1,
            label: {
              normal: {
                show: true,
                position: 'top',
                textStyle: {
                  color: '#45DAD1',
                  fontStyle: 'normal',
                  textAlign: 'right',
                  fontSize: 14,
              },
                formatter: function(data) {
                    if(data.name=="国际能源" || data.name == '文旅集团' || data.name=='航产集团'||data.name == '华舰体育'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              color: params => {
                if (params.value > 0 && dataR3[0][params.dataIndex] < 0) {
                  return 'red'
                } else {
                  return new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    {
                      offset: 0,
                      color: '#45DAD1',
                    },
                    {
                      offset: 1,
                      color: '#082550',
                    },
                  ])
                }
              },
            },
            // itemStyle: {
            //   normal: {
            //     color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            //       {
            //         offset: 0,
            //         color: '#45DAD1',
            //       },
            //       {
            //         offset: 1,
            //         color: '#082550',
            //       },
            //     ]),
            //   },
            // },
            data: dataR3[1],
          },
        ],
      }
      option.title.text = '各省属企业年利润与当年累计招聘人数'
      option.legend.data = ['2022年利润(万）', '2022年累计招聘数']
      option.legend.show = true
      option.yAxis[0] = {
        max: function (value) {
          if (Math.abs(value.max) > Math.abs(value.min)) {
            return (Math.abs(value.max) * 1.2).toFixed(2)
          } else {
            return (Math.abs(value.min) * 1.2).toFixed(2)
          }
        },
        min: function (value) {
          if (Math.abs(value.max) > Math.abs(value.min)) {
            return (-Math.abs(value.max) * 1.2).toFixed(2)
          } else {
            return (-Math.abs(value.min) * 1.2).toFixed(2)
          }
        },
        type: 'value',
        axisLine: {
          show: false,
        },
        splitLine: {
          show: true,
          lineStyle: {
            color: '#68b4dd66',
            type: 'dashed',
          },
        },
        axisLabel: {
          show: true,
          formatter: function (value) {
            return value === 1 ? 0 : value
          },
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      }
      option.yAxis.push({
        splitLine: {
          show: false,
        },
        axisLine: {
          show: false,
        },
        axisLabel: {
          show: true,
          formatter: '{value}',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
        max: function (value) {
          if (Math.abs(value.max) > Math.abs(value.min)) {
            return (Math.abs(value.max) * 1.2).toFixed(2)
          } else {
            return (Math.abs(value.min) * 1.2).toFixed(2)
          }
        },
        min: function (value) {
          if (Math.abs(value.max) > Math.abs(value.min)) {
            return (-Math.abs(value.max) * 1.2).toFixed(2)
          } else {
            return (-Math.abs(value.min) * 1.2).toFixed(2)
          }
        },
      })
      myChart.setOption(option)
    },
    initChartR4() {
      let myChart = echarts.init(this.$refs['echartR4'])
      let commonOptions = this.commonOption
      commonOptions.yAxis[0].splitNumber = 2
      let option = {
        ..._.cloneDeep(commonOptions),
        series: [
          {
            name: '2022年退出人数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataR4[0],
          },
          {
            name: '2022年累计招聘人数',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#45DAD1',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: dataR4[1],
          },
        ],
      }
      option.title.text = '各省属企业"退二进一"完成情况'
      option.legend.data = ['2022年退出人数', '2022年累计招聘人数']
      option.legend.show = true
      option.yAxis[0] = {
        //type: 'log',
        //min: 1,
        //logBase: 3,
        axisLine: {
          show: false,
        },
        splitLine: {
          show: true,
          lineStyle: {
            color: '#68b4dd66',
            type: 'dashed',
          },
        },
        axisLabel: {
          show: true,
          formatter: function (value) {
            return value === 1 ? 0 : value
          },
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
      }
      myChart.setOption(option)
    },
    initChartR5() {
      let myChart = echarts.init(this.$refs['echartR5'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        series: [
          {
            name: '去年同期在岗职工平均薪酬',
            type: 'bar',
            barWidth: 15,
            markLine: {
              data: [
                {
                  name: '省属企业平均水平',
                  yAxis: 9333.33,
                  lineStyle: {
                    color: '#fff',
                  },
                  label: {
                    formatter: '{b}',
                    position: 'middle',
                    fontSize: 16,
                    color: '#fff',
                  },
                }
              ],
              label: {
                distance: [50, 0],
              },
            },
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#6682F5',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: fjxdataL1[0],
          },
          {
            name: '在岗职工平均薪酬',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: fjxdataL1[1],
          },
        ],
      }
      option.title.text = '各省属企业在岗职工平均薪酬'
      option.legend.data = ['去年同期在岗职工平均薪酬', '在岗职工平均薪酬']
      option.legend.show = true
      option.yAxis.push({
        splitLine: {
          show: false,
        },
        axisLine: {
          show: false,
        },
      })
      myChart.setOption(option)
    },
    initChartR6() {
      let myChart = echarts.init(this.$refs['echartR6'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        color: ['#69c0ff'],
        series: [
          {
            name: '2022年利润累计涨幅率',
            type: 'line',
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 8, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                lineHeight:'20',
                position: 'top',
                textStyle: {
                  color: '#B889EA',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '文旅集团'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              //折线拐点标志的样式
              color: '#B889EA',
              borderColor: '#B889EA',
              width: 2,
              shadowColor: '#B889EA',
              shadowBlur: 4,
            },
            lineStyle: {
              color: '#B889EA',
              width: 2,
            },
            data: fjxdataL2[0],
          },

          {
            name: '2022年薪酬累计涨幅率',
            type: 'line',
            smooth: true, //平滑曲线显示
            showAllSymbol: true, //显示所有图形。
            symbol: 'circle', //标记的图形为实心圆
            symbolSize: 12, //标记的大小
            smooth: false,
            label: {
              normal: {
                show: true,
                position: 'top',
                lineHeight:'35',
                textStyle: {
                  color: '#69c0ff',
                  fontStyle: 'normal',
                  textAlign: 'left',
                  fontSize: 16,
              },
                formatter: function(data) {
                    if(data.name == '文旅集团'){
                      return data.value
                    } else {
                      return ''
                    }
               }
             }
            },
            itemStyle: {
              color: params => {
                if (params.value > 0 && fjxdataL2[0][params.dataIndex] < 0) {
                  return 'yellow'
                } else {
                  return new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    {
                      offset: 0,
                      color: '#69c0ff',
                    },
                    {
                      offset: 1,
                      color: '#082550',
                    },
                  ])
                }
              },
            },
            lineStyle: {
              color: '#69C0FF',
              width: 2,
            },
            data: fjxdataL2[1],
          },
          {
            type: 'effectScatter',
            coordinateSystem: 'cartesian2d',
            showEffectOn: 'render',
            rippleEffect: {
              period: 10,
              scale: 4,
              brushType: 'stroke'
            },
            hoverAnimation: true,
            itemStyle: {
              color: 'yellow'
            },
            lineStyle: {
              color: '#43ede3',
              width: 2,
            },
            
            data: this.twinkleR6,
          },
        ],
      }
      option.title.text = '各省属企业利润与薪酬变动情况'
      option.legend.data = ['2022年利润累计涨幅率', '2022年薪酬累计涨幅率']
      option.tooltip.formatter = '{a0}：{c0}' + '%' + '<br/>' + '{a1}：{c1}' + '%'
      option.yAxis[0].axisLabel.formatter = '{value} %'
      myChart.setOption(option)
    },
    initChartR7() {
      let myChart = echarts.init(this.$refs['echartR7'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        series: [
          {
            name: '全员绩效考核完成率',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#B889EA',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: fjxdataL3[0],
          },
        ],
      }
      option.title.text = '各省属企业全员绩效考核'
      option.legend.show = true
      option.tooltip = {
        trigger: 'axis',
        formatter: '{a0}:{c0}' + '%'
      },
        option.yAxis[0].axisLabel = {
          show: true,
          formatter: '{value} %',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        }
      myChart.setOption(option)
    },
    initChartR8() {
      let myChart = echarts.init(this.$refs['echartR8'])
      let option = {
        ..._.cloneDeep(this.commonOption),
        series: [
          {
            name: '任期制契约化完成率',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#43ede3',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: fjxdataL4[0],
          },
        ],
      }
      option.title.text = '各省属企业任期制契约化管理'
      option.legend.show = true
      option.tooltip.formatter = '{a0}：{c0}' + '%'
      option.yAxis[0].axisLabel.formatter = '{value} %'
      myChart.setOption(option)
    },
  },
})
